%define _use_internal_dependency_generator 0
%define test 1

Summary: A Perl module for Mail-Sendmail
Summary(ko): Mail-Sendmail 펄 모듈
Name: perl-Mail-Sendmail
Version: 0.79
Release: 1%{?dist}
Epoch: 1
License: GPL
Group: Applications/CPAN
Source0: http://search.cpan.org/CPAN/authors/id/M/MI/MIVKOVIC/Mail-Sendmail-0.79.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: perl >= 0:5.00503 perl-ExtUtils-MakeMaker
%if %{test}
BuildRequires: perl-Test-Simple
%endif
Requires: perl >= 0:5.00503

%description
Simple platform independent mailer


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -q -n Mail-Sendmail-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%if %{test}
%check
make test
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod > Mail-Sendmail-%{version}-filelist
if [ "$(cat Mail-Sendmail-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Mail-Sendmail-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/auto/Mail/Sendmail
%dir %{_datadir}/perl5/vendor_perl/Mail
%{_datadir}/perl5/vendor_perl/Mail/Sendmail.pm
%{_mandir}/man3/Mail::Sendmail.3pm.gz
#dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/Mail-Sendmail

%changelog
* Sat Mar 15 2014 JoungKyun.Kim <http://oops.org> 1:0.79-1%{?dist}
- first build on AN2
